aboutsummaryrefslogtreecommitdiff
path: root/app/text
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:59:34 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:59:34 +0000
commit7da9a7993ef0ebe40a80e3f357423adfbea4c863 (patch)
tree6ecdb05c5f7c1c679738c991967a97f396afd25b /app/text
parent48a388bc51f72e4988dc2e7a72948bcff8522ab9 (diff)
downloadslackbuilds-7da9a7993ef0ebe40a80e3f357423adfbea4c863.tar.gz
slackbuilds-7da9a7993ef0ebe40a80e3f357423adfbea4c863.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@714 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app/text')
-rwxr-xr-xapp/text/antiword/antiword.SlackBuild121
-rwxr-xr-xapp/text/bogosort/bogosort.SlackBuild107
-rwxr-xr-xapp/text/unrtf/unrtf.SlackBuild121
3 files changed, 349 insertions, 0 deletions
diff --git a/app/text/antiword/antiword.SlackBuild b/app/text/antiword/antiword.SlackBuild
new file mode 100755
index 00000000..faef6892
--- /dev/null
+++ b/app/text/antiword/antiword.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# slackbuild script for antiword
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building antiword are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="antiword"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.37}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://www.winfield.demon.nl/linux/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+sed -e 's/\/usr\/local\/bin/\/usr\/bin/' Makefile > Makefile.tmp || exit $ERROR_CONF
+mv Makefile.tmp Makefile || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE global_install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+antiword: antiword (free MS Word reader)
+antiword:
+antiword: MS Word only exists on platforms supported by Microsoft itself.
+antiword: On other platforms, reading MS Word files is usually difficult,
+antiword: sometimes expensive and often impossible. Antiword converts the
+antiword: binary files from MS Word 6, 7, 97 and 2000 to text and Postscript.
+antiword:
+antiword:
+antiword:
+antiword:
+antiword:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="COPYING ChangeLog FAQ ReadMe"
+
+for file in $DOCS; do
+ cp $CWD/Docs/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/app/text/bogosort/bogosort.SlackBuild b/app/text/bogosort/bogosort.SlackBuild
new file mode 100755
index 00000000..0a83934c
--- /dev/null
+++ b/app/text/bogosort/bogosort.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+#
+# slackbuild script for bogosort
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="bogosort"
+VERSION=${VERSION:=0.4.2}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE"_"$VERSION.orig.tar.$PACKAGE_EXT"
+URL="http://ftp.debian.org/debian/pool/main/b/bogosort/$SRC"
+PATCH="$PACKAGE"_"$VERSION-1.diff.gz"
+PATCH_URL="http://ftp.debian.org/debian/pool/main/b/bogosort/$PATCH"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ rm -f $SRC_DIR/$PATCH
+ wget "$URL" -O "$SRC_DIR/$SRC"
+ wget "$PATCH_URL" -O "$SRC_DIR/$PATCH"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+gzip -dc $SRC_DIR/$PATCH | patch -p0
+cd $PACKAGE-$VERSION
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+bogosort: bogosort (sorts or doesn't sort files or standard input)
+bogosort:
+bogosort: bogosort sorts files or its standard input using the "bogo-sort"
+bogosort: algorithm. It can also just randomise the lines in its input,
+bogosort: allowing you to perform your own check in a loop.
+bogosort:
+bogosort:
+bogosort:
+bogosort:
+bogosort:
+bogosort:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS COPYING ChangeLog INSTALL NEWS README TODO; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/app/text/unrtf/unrtf.SlackBuild b/app/text/unrtf/unrtf.SlackBuild
new file mode 100755
index 00000000..748995e8
--- /dev/null
+++ b/app/text/unrtf/unrtf.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# slackbuild script for unrtf
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building unrtf are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="unrtf"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.20.2}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE"_"$VERSION.tar.$PACKAGE_EXT"
+URL="http://www.gnu.org/software/unrtf/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd "$PACKAGE"_"$VERSION"
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+unrtf: unrtf (Rich Text to other formats converter)
+unrtf:
+unrtf: UnRTF is a command-line program written in C which converts
+unrtf: documents in Rich Text (.rtf) format to HTML, LaTeX, PostScript
+unrtf: and other formats. Converting to HTML, it supports a number of
+unrtf: features of Rich Text Format, like changes in text appearence,
+unrtf: background and foreground colors.
+unrtf:
+unrtf:
+unrtf:
+unrtf:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+for file in $DOCS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+